#include <stdio.h>
#include <sprlib.h>
#include <nrutil.h>

double evalsample (double**matrixc,double* vectorc,double *constc,int n,double*pattern)
{
double* tmp;
double retval;

tmp=vector(1,n);
matvecmult(matrixc,n,n,pattern,tmp);
retval=vecinmult(pattern,n,tmp);
retval+=vecinmult(vectorc,n,pattern);
retval+=*constc;
free_vector(tmp,1,n);
return(retval);
}


main(int argc,char**argv)
{
double **cov1,**cov2,**matrixc;
int n=2;
double *mean1,*mean2,*vectorc;
double *pattern;
int i;
double constc;
double class;


mean1=vector(1,n);
pattern=vector(1,n);
cov1=matrix(1,n,1,n);
mean2=vector(1,n);
cov2=matrix(1,n,1,n);
vectorc=vector(1,n);
matrixc=matrix(1,n,1,n);

mean1[1]=0;
mean1[2]=0;

cov1[1][1]=1;
cov1[1][2]=0;
cov1[2][1]=0;
cov1[2][2]=1;

mean2[1]=1;
mean2[2]=1;

cov2[1][1]=1;
cov2[1][2]=0;
cov2[2][1]=0;
cov2[2][2]=1;
printf("\n");

fisherq(cov1,cov2,mean1,mean2,(double)1,2,matrixc,vectorc,&constc);
class=evalsample(matrixc,vectorc,&constc,n,pattern);



fprintf_vector(stdout,n,pattern);
printf(" se clasifica en la clase %d\n",(class<0)?1:0);
}

free_vector(mean1,1,n);
free_vector(pattern,1,n);
free_matrix(cov1,1,n,1,n);
free_vector(mean2,1,n);
free_matrix(cov2,1,n,1,n);
free_matrix(matrixc,1,n,1,n);
free_vector(vectorc,1,n);

}
